cascading.flow.planner.graph

## Class BoundedElementMultiGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.BaseAnnotatedElementGraph
    - - cascading.flow.planner.graph.ElementMultiGraph
      - - cascading.flow.planner.graph.BoundedElementMultiGraph

- All Implemented Interfaces:
    AnnotatedGraph, ElementGraph, Serializable

      public class BoundedElementMultiGraph
      extends ElementMultiGraph

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.graph.ElementMultiGraph

      `ElementMultiGraph.DirectedMultiGraph`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

      `annotations`

    - ### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

      `graph, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundedElementMultiGraph(ElementGraph parentElementGraph, ElementGraph subElementGraph, EnumMultiMap annotations)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParentAnnotations(ElementGraph parentElementGraph)`
    `protected void` | `bindHeadAndTail(ElementGraph parentElementGraph, ElementGraph subElementGraph)`

    - ### Methods inherited from class cascading.flow.planner.graph.ElementMultiGraph

      `copyElementGraph`

    - ### Methods inherited from class cascading.flow.planner.graph.BaseAnnotatedElementGraph

      `getAnnotations, hasAnnotations, hashCode`

    - ### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from interface cascading.flow.planner.graph.AnnotatedGraph

      `getAnnotations, hasAnnotations`

- - ### Constructor Detail

    - #### BoundedElementMultiGraph

          public BoundedElementMultiGraph(ElementGraph parentElementGraph,
                                  ElementGraph subElementGraph,
                                  EnumMultiMap annotations)

  - ### Method Detail

    - #### addParentAnnotations

          protected void addParentAnnotations(ElementGraph parentElementGraph)

      Overrides:
        `addParentAnnotations` in class `BaseAnnotatedElementGraph`

    - #### bindHeadAndTail

          protected void bindHeadAndTail(ElementGraph parentElementGraph,
                             ElementGraph subElementGraph)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.